> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /vimeo/videos/search

> Search videos by keyword and filters

**Price:** 10 credits per 100 results



## OpenAPI

````yaml /openapi/social-media.json post /api/vimeo/videos/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/vimeo/videos/search:
    post:
      tags:
        - /vimeo
      summary: /vimeo/videos/search
      description: |-
        Search videos by keyword and filters

        **Price:** 10 credits per 100 results
      operationId: __api_vimeo_videos_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/VimeoVideosSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/VimeoVideo'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    VimeoVideosSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        query:
          type: string
          minLength: 1
        count:
          type: integer
          minimum: 1
        sort:
          $ref: '#/components/schemas/VimeoSearchSort'
          default: relevance
        category:
          anyOf:
            - $ref: '#/components/schemas/VimeoSearchCategory'
            - type: 'null'
        duration:
          anyOf:
            - $ref: '#/components/schemas/VimeoSearchDuration'
            - type: 'null'
        license:
          anyOf:
            - $ref: '#/components/schemas/VimeoSearchLicense'
            - type: 'null'
        resolution:
          anyOf:
            - $ref: '#/components/schemas/VimeoSearchResolution'
            - type: 'null'
        hdr:
          anyOf:
            - $ref: '#/components/schemas/VimeoSearchHdr'
            - type: 'null'
        spatial:
          anyOf:
            - $ref: '#/components/schemas/VimeoSearchSpatial'
            - type: 'null'
        price:
          anyOf:
            - $ref: '#/components/schemas/VimeoSearchPrice'
            - type: 'null'
        live_event:
          anyOf:
            - $ref: '#/components/schemas/VimeoSearchLive'
            - type: 'null'
        uploaded:
          anyOf:
            - $ref: '#/components/schemas/VimeoSearchDate'
            - type: 'null'
        staff_picks:
          type: boolean
          default: false
      type: object
      required:
        - query
        - count
    VimeoVideo:
      properties:
        '@type':
          type: string
          default: VimeoVideo
        id:
          type: string
        video_title:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        duration:
          anyOf:
            - type: integer
            - type: 'null'
        width:
          anyOf:
            - type: integer
            - type: 'null'
        height:
          anyOf:
            - type: integer
            - type: 'null'
        fps:
          anyOf:
            - type: number
            - type: 'null'
        user:
          anyOf:
            - $ref: '#/components/schemas/VimeoUser'
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
        like_count:
          anyOf:
            - type: integer
            - type: 'null'
        comment_count:
          anyOf:
            - type: integer
            - type: 'null'
        tags:
          items:
            type: string
          type: array
          default: []
        categories:
          items:
            type: string
          type: array
          default: []
        license:
          anyOf:
            - type: string
            - type: 'null'
        privacy:
          anyOf:
            - type: string
            - type: 'null'
        content_rating:
          items:
            type: string
          type: array
          default: []
        language:
          anyOf:
            - type: string
            - type: 'null'
        is_spatial:
          type: boolean
          default: false
        is_live:
          type: boolean
          default: false
        is_hdr:
          type: boolean
          default: false
        unlisted_hash:
          anyOf:
            - type: string
            - type: 'null'
        files:
          items:
            $ref: '#/components/schemas/VimeoVideoFile'
          type: array
          default: []
        subtitles:
          items:
            $ref: '#/components/schemas/VimeoSubtitle'
          type: array
          default: []
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    VimeoSearchSort:
      type: string
      enum:
        - relevance
        - newest
        - popular
        - title_asc
        - title_desc
        - longest
        - shortest
    VimeoSearchCategory:
      type: string
      enum:
        - travel
        - documentary
        - experimental
        - animation
        - narrative
        - music
        - educational
        - sports
        - industry
        - art
        - brandedcontent
        - instructionals
        - adsandcommercials
        - cameratechniques
        - events
        - product
        - trailers
        - comedy
        - personal
        - journalism
        - fashion
        - wedding
        - talks
        - food
        - identsandanimatedlogos
        - titlesandcredits
    VimeoSearchDuration:
      type: string
      enum:
        - short
        - medium
        - long
    VimeoSearchLicense:
      type: string
      enum:
        - by-nc-nd
        - by
        - by-nc
        - by-nc-sa
        - by-nd
        - by-sa
        - cc0
    VimeoSearchResolution:
      type: string
      enum:
        - 4k
    VimeoSearchHdr:
      type: string
      enum:
        - hdr
        - dolby_vision
        - hdr10
        - hdr10+
    VimeoSearchSpatial:
      type: string
      enum:
        - spatial
        - '360'
    VimeoSearchPrice:
      type: string
      enum:
        - free
        - paid
    VimeoSearchLive:
      type: string
      enum:
        - now
    VimeoSearchDate:
      type: string
      enum:
        - this-year
        - this-month
        - this-week
        - today
    VimeoUser:
      properties:
        '@type':
          type: string
          default: VimeoUser
        id:
          type: string
        name:
          anyOf:
            - type: string
            - type: 'null'
        alias:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        bio:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        location:
          anyOf:
            - type: string
            - type: 'null'
        is_verified:
          type: boolean
          default: false
        membership_type:
          anyOf:
            - type: string
            - type: 'null'
        video_count:
          anyOf:
            - type: integer
            - type: 'null'
        follower_count:
          anyOf:
            - type: integer
            - type: 'null'
        following_count:
          anyOf:
            - type: integer
            - type: 'null'
        showcase_count:
          anyOf:
            - type: integer
            - type: 'null'
        like_count:
          anyOf:
            - type: integer
            - type: 'null'
        social_links:
          items:
            $ref: '#/components/schemas/VimeoSocialLink'
          type: array
          default: []
        created_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - id
    VimeoVideoFile:
      properties:
        '@type':
          type: string
          default: VimeoVideoFile
        quality:
          anyOf:
            - type: string
            - type: 'null'
        width:
          anyOf:
            - type: integer
            - type: 'null'
        height:
          anyOf:
            - type: integer
            - type: 'null'
        fps:
          anyOf:
            - type: number
            - type: 'null'
        mime:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    VimeoSubtitle:
      properties:
        '@type':
          type: string
          default: VimeoSubtitle
        id:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        label:
          anyOf:
            - type: string
            - type: 'null'
        kind:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        is_active:
          type: boolean
          default: false
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    VimeoSocialLink:
      properties:
        '@type':
          type: string
          default: VimeoSocialLink
        name:
          anyOf:
            - type: string
            - type: 'null'
        url:
          anyOf:
            - type: string
            - type: 'null'
        platform:
          anyOf:
            - type: string
            - type: 'null'
      type: object
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````